<?php

declare(strict_types=1);

namespace Chicory\Tests\PackageTemplate;

use Chicory\PackageTemplate\ExampleClass;
use PHPUnit\Framework\Attributes\CoversClass;
use PHPUnit\Framework\TestCase;

#[CoversClass(ExampleClass::class)]
class ExampleClassTest extends TestCase
{
    public ExampleClass $exampleClass;

    protected function setUp(): void
    {
        $this->exampleClass = new ExampleClass();

        parent::setUp();
    }

    public function testExampleClass(): void
    {
        $this->assertEquals('Hello', $this->exampleClass->sayHello());
    }
}
